Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Rules

Create or update an evaluation rule

PUT /evaluationrules/{id}

Creates a new evaluation rule, or replaces the existing rule when the identifier matches.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Parámetros de la ruta de acceso

id string requerido

Unique identifier for the evaluation rule.

Parámetros de encabezado

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Cuerpo de la solicitud

Evaluation rule resource

Content-Type: application/json
id string requerido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview requerido

Evaluation action model.

Uno de los siguientes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum requerido
continuousEvaluation
evalId string requerido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum requerido
humanEvaluationPreview
templateId string requerido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string requerido

Filter by agent name.

eventType string | enum requerido

Type of the evaluation rule event.

Cualquiera de las siguientes:
string
enum
responseCompletedmanual
enabled boolean requerido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object requerido

System metadata for the evaluation rule.

[key: string] string

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
id string requerido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview requerido

Evaluation action model.

Uno de los siguientes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum requerido
continuousEvaluation
evalId string requerido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum requerido
humanEvaluationPreview
templateId string requerido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string requerido

Filter by agent name.

eventType string | enum requerido

Type of the evaluation rule event.

Cualquiera de las siguientes:
string
enum
responseCompletedmanual
enabled boolean requerido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object requerido

System metadata for the evaluation rule.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Cuerpo

Content-Type: application/json
id string requerido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview requerido

Evaluation action model.

Uno de los siguientes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum requerido
continuousEvaluation
evalId string requerido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum requerido
humanEvaluationPreview
templateId string requerido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string requerido

Filter by agent name.

eventType string | enum requerido

Type of the evaluation rule event.

Cualquiera de las siguientes:
string
enum
responseCompletedmanual
enabled boolean requerido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object requerido

System metadata for the evaluation rule.

[key: string] string

Client error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

PUT /evaluationrules/{id} HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026